# eric7.UI.LogView

Module implementing the log viewer widget and the log widget.

### Global Attributes

None

### Classes

LogViewer | Class implementing the containing widget for the log viewer.
LogViewerEdit | Class providing a specialized text edit for displaying logging information.

### Functions

None

## LogViewer

Class implementing the containing widget for the log viewer.

### Derived from

QWidget

### Class Attributes

None

### Class Methods

None

### Methods

LogViewer | Constructor
appendToStderr | Public slot to appand text to the "stderr" tab.
appendToStdout | Public slot to appand text to the "stdout" tab.
preferencesChanged | Public slot to handle a change of the preferences.
showFind | Public method to display the search widget.

### Static Methods

None

#### LogViewer (Constructor)

LogViewer(ui, parent=None)

Constructor

ui
  reference to the main window (UserInterface)
parent
  reference to the parent widget (QWidget)

#### LogViewer.appendToStderr

appendToStderr(txt)

Public slot to appand text to the "stderr" tab.

txt
  text to be appended (string)

#### LogViewer.appendToStdout

appendToStdout(txt)

Public slot to appand text to the "stdout" tab.

txt
  text to be appended (string)

#### LogViewer.preferencesChanged

preferencesChanged()

Public slot to handle a change of the preferences.

#### LogViewer.showFind

showFind(txt="")

Public method to display the search widget.

txt
  text to be shown in the combo (string)

Up

## LogViewerEdit

Class providing a specialized text edit for displaying logging information.

### Signals

searchStringFound(found)
  emitted to indicate the search result (boolean)

### Derived from

QTextEdit

### Class Attributes

None

### Class Methods

None

### Methods

LogViewerEdit | Constructor
__appendText | Private method to append text to the end.
__configure | Private method to open the configuration dialog.
__filterMessage | Private method to filter messages.
__find | Private slot to show the find widget.
__handleShowContextMenu | Private slot to show the context menu.
appendToStderr | Public slot to appand text to the "stderr" tab.
appendToStdout | Public slot to appand text to the "stdout" tab.
keyPressEvent | Protected method handling key press events.
preferencesChanged | Public slot to handle a change of the preferences.
searchNext | Public method to search the next occurrence of the given text.
searchPrev | Public method to search the previous occurrence of the given text.

### Static Methods

None

#### LogViewerEdit (Constructor)

LogViewerEdit(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### LogViewerEdit.__appendText

__appendText(txt, isErrorMessage=False)

Private method to append text to the end.

txt
  text to insert (string)
isErrorMessage
  flag indicating to insert error text (boolean)

#### LogViewerEdit.__configure

__configure()

Private method to open the configuration dialog.

#### LogViewerEdit.__filterMessage

__filterMessage(message, isErrorMessage=False)

Private method to filter messages.

message
  message to be checked (string)
isErrorMessage
  flag indicating to check an error message (boolean)

Return:
  flag indicating that the message should be filtered out (boolean)

#### LogViewerEdit.__find

__find()

Private slot to show the find widget.

#### LogViewerEdit.__handleShowContextMenu

__handleShowContextMenu(coord)

Private slot to show the context menu.

coord
  the position of the mouse pointer (QPoint)

#### LogViewerEdit.appendToStderr

appendToStderr(txt)

Public slot to appand text to the "stderr" tab.

txt
  text to be appended (string)

Return:
  flag indicating text was appended (boolean)

#### LogViewerEdit.appendToStdout

appendToStdout(txt)

Public slot to appand text to the "stdout" tab.

txt
  text to be appended (string)

Return:
  flag indicating text was appended (boolean)

#### LogViewerEdit.keyPressEvent

keyPressEvent(evt)

Protected method handling key press events.

evt
  key press event (QKeyEvent)

#### LogViewerEdit.preferencesChanged

preferencesChanged()

Public slot to handle a change of the preferences.

#### LogViewerEdit.searchNext

searchNext(txt, caseSensitive, wholeWord, regexp)

Public method to search the next occurrence of the given text.

txt (str)
  text to search for
caseSensitive (bool)
  flag indicating to perform a case sensitive search
wholeWord (bool)
  flag indicating to search for whole words only
regexp (bool)
  flag indicating a regular expression search

#### LogViewerEdit.searchPrev

searchPrev(txt, caseSensitive, wholeWord, regexp)

Public method to search the previous occurrence of the given text.

txt (str)
  text to search for
caseSensitive (bool)
  flag indicating to perform a case sensitive search
wholeWord (bool)
  flag indicating to search for whole words only
regexp (bool)
  flag indicating a regular expression search

Up